#ifndef OKBC_H
#define OKBC_H

#include "rdfsql/rdfsql.h"

#include "okbc_add.h"
#include "okbc_coerce.h"
#include "okbc_create.h"
#include "okbc_delete.h"
#include "okbc_enumerate.h"
#include "okbc_find.h"
#include "okbc_get.h"
#include "okbc_member.h"
#include "okbc_misc.h"
#include "okbc_put.h"
#include "okbc_remove.h"
#include "okbc_slot.h"
#include "okbc_types.h"

extern RDFSQL *okbc_intl_db;

extern char *key_none;
extern char *key_taxonomic;
extern char *key_all;
extern char *key_either;
extern char *key_equal;
extern char *key_error_if_not_unique;
extern char *key_filled;
extern char *key_known_true;
extern char *key_own;
extern char *key_stop;
extern char *key_system_default;

okbc_node *okbc_new_node(int type, void *ptr);

okbc_list *okbc_new_list(int length);

okbc_node *okbc_new_list_node(int length);

void *okbc_new_atom(char *str);

void okbc_dump_node(okbc_node *node);

void okbc_init();

#endif
