/*
 *  Copyright (C) 2002 Steve Harris, ECS, University of Southampton
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  $Id: okbc_add.c,v 1.2 2003/02/20 19:01:15 theno23 Exp $
 */

#include <stdio.h>

#include "rdfsql/rdfsql.h"
#include "okbc_types.h"

/* okbc_add_class_superclass(class, new_superclass, kb, kb_local_only_p)
 *
 * (class new-superclass &key kb kb-local-only-p)
 *
 * Return Value(s): void 
 * 
 * Flags: O W 
 * 
 * Adds the new-superclass to the superclasses of class.
 * Returns no values.
 */

void okbc_add_class_superclass(const char *class,
			       const char *new_superclass, const char *kb,
			       int kb_local_only_p)
{
}

/* okbc_add_facet_value(frame, slot, facet, value, kb, test, slot_type, value_selector, kb_local_only_p)
 *
 * (frame slot facet value &key kb (test :equal) (slot-type :own) (value-selector :known-true) kb-local-only-p)
 *
 * Return Value(s): void 
 * 
 * Flags: O W 
 * 
 * If the specified facet does not already contain value, 
 * then value is added to the set of values of the facet.
 * Returns no values.
 */

void okbc_add_facet_value(const char *frame, const char *slot,
			  const char *facet, const char *value,
			  const char *kb, const char *test,
			  const char *slot_type,
			  const char *value_selector, int kb_local_only_p)
{
}

/* okbc_add_instance_type(frame, new_type, kb, kb_local_only_p)
 *
 * (frame new-type &key kb kb-local-only-p)
 *
 * Return Value(s): void 
 * 
 * Flags: O W 
 * 
 * Adds the new-type to the types of frame.
 * Returns no values.
 */

void okbc_add_instance_type(const char *frame, const char *new_type,
			    const char *kb, int kb_local_only_p)
{
}

/* okbc_add_slot_value(frame, slot, value, kb, test, slot_type, add_before, value_selector, kb_local_only_p)
 *
 * (frame slot value &key kb (test :equal) (slot-type :own) (add-before 0) (value-selector :known-true) kb-local-only-p)
 *
 * Return Value(s): void 
 * 
 * Flags: O W 
 * 
 * Value is added to the set of values of slot. If the
 * collection-type of slot is :set, then value is
 * added only if slot does not already contain value. 
 * Add-before, if supplied, should be false or a nonnegative
 * integer. If the collection-type of
 * slot is :list, value is added immediately before
 * the value whose index is add-before. For example, if
 * add-before is 1, the new value will be added between the first
 * and second old values. If add-before is greater than or equal
 * to the current number of slot values, or is false, and the
 * collection-type of slot is :list, then value is
 * added after all other values. This operation may signal constraint
 * violation conditions (see Section 3.8). It is an error
 * to provide a nonpositive integer as a value for add-before.
 * Returns no values.
 */

void okbc_add_slot_value(const char *frame, const char *slot,
			 const char *value, const char *kb,
			 const char *test, const char *slot_type,
			 const char *add_before,
			 const char *value_selector, int kb_local_only_p)
{
}
