/*
 *  Copyright (C) 2002 Steve Harris, ECS, University of Southampton
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  $Id: okbc_enumerate.c,v 1.3 2003/02/20 19:01:16 theno23 Exp $
 */

#include <stdio.h>

#include "rdfsql/rdfsql.h"
#include "okbc_types.h"

/* okbc_enumerate_all_connections()
 *
 * ()
 *
 * Return Value(s): enumerator 
 * 
 * Flags: R 
 * 
 * Returns an enumerator for the elements returned by 
 all-connections.
 */

okbc_node *okbc_enumerate_all_connections()
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_ask(query, kb, reply_pattern, inference_level, number_of_values, error_p, where, timeout, value_selector, kb_local_only_p)
 *
 * (query &key kb (reply-pattern query) (inference-level :taxonomic) (number-of-values :all) (error-p true) where timeout (value-selector :either) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 ask.
 */

okbc_node *okbc_enumerate_ask(const char *query, const char *kb,
			      const char *reply_pattern,
			      const char *inference_level,
			      int number_of_values, int error_p,
			      const char *where, const char *timeout,
			      const char *value_selector,
			      int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_call_procedure(procedure, kb, arguments)
 *
 * (procedure &key kb arguments)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 call-procedure.
 */

okbc_node *okbc_enumerate_call_procedure(const char *procedure,
					 const char *kb,
					 const char *arguments)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_class_instances(class, kb, inference_level, number_of_values, kb_local_only_p)
 *
 * (class &key kb (inference-level :taxonomic) (number-of-values :all) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-class-instances.
 */

okbc_node *okbc_enumerate_class_instances(const char *class,
					  const char *kb,
					  const char *inference_level,
					  int number_of_values,
					  int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_class_subclasses(class, kb, inference_level, number_of_values, kb_local_only_p)
 *
 * (class &key kb (inference-level :taxonomic) (number-of-values :all) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-class-subclasses.
 */

okbc_node *okbc_enumerate_class_subclasses(const char *class,
					   const char *kb,
					   const char *inference_level,
					   int number_of_values,
					   int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_class_superclasses(class, kb, inference_level, number_of_values, kb_local_only_p)
 *
 * (class &key kb (inference-level :taxonomic) (number-of-values :all) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-class-superclasses.
 */

okbc_node *okbc_enumerate_class_superclasses(const char *class,
					     const char *kb,
					     const char *inference_level,
					     int number_of_values,
					     int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_facet_values(frame, slot, facet, kb, inference_level, slot_type, number_of_values, value_selector, kb_local_only_p)
 *
 * (frame slot facet &key kb (inference-level :taxonomic) (slot-type :own) (number-of-values :all) (value-selector :either) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-facet-values.
 */

okbc_node *okbc_enumerate_facet_values(const char *frame, const char *slot,
				       const char *facet, const char *kb,
				       const char *inference_level,
				       const char *slot_type,
				       int number_of_values,
				       const char *value_selector,
				       int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_facet_values_in_detail(frame, slot, facet, kb, inference_level, slot_type, number_of_values, value_selector, kb_local_only_p)
 *
 * (frame slot facet &key kb (inference-level :taxonomic) (slot-type :own) (number-of-values :all) (value-selector :either) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-facet-values-in-detail.
 */

okbc_node *okbc_enumerate_facet_values_in_detail(const char *frame,
						 const char *slot,
						 const char *facet,
						 const char *kb,
						 const char *inference_level,
						 const char *slot_type,
						 int number_of_values,
						 const char *value_selector,
						 int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_frame_slots(frame, kb, inference_level, slot_type, kb_local_only_p)
 *
 * (frame &key kb (inference-level :taxonomic) (slot-type :all) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-frame-slots.
 */

okbc_node *okbc_enumerate_frame_slots(const char *frame, const char *kb,
				      const char *inference_level,
				      const char *slot_type,
				      int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_frames_matching(pattern, kb, wildcards_allowed_p, selector, force_case_insensitive_p, kb_local_only_p)
 *
 * (pattern &key kb (wildcards-allowed-p true) (selector :all) force-case-insensitive-p kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-frames-matching.
 */

okbc_node *okbc_enumerate_frames_matching(const char *pattern,
					  const char *kb,
					  int wildcards_allowed_p,
					  const char *selector,
					  int force_case_insensitive_p,
					  int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_instance_types(frame, kb, inference_level, number_of_values, kb_local_only_p)
 *
 * (frame &key kb (inference-level :taxonomic) (number-of-values :all) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-instance-types.
 */

okbc_node *okbc_enumerate_instance_types(const char *frame, const char *kb,
					 const char *inference_level,
					 int number_of_values,
					 int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kb_classes(kb, selector, kb_local_only_p)
 *
 * (&key kb (selector :system-default) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kb-classes.
 */

okbc_node *okbc_enumerate_kb_classes(const char *kb, const char *selector,
				     int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kb_direct_children(kb)
 *
 * (&key kb)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kb-direct-children.
 */

okbc_node *okbc_enumerate_kb_direct_children(const char *kb)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kb_direct_parents(kb)
 *
 * (&key kb)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kb-direct-parents.
 */

okbc_node *okbc_enumerate_kb_direct_parents(const char *kb)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kb_facets(kb, selector, kb_local_only_p)
 *
 * (&key kb (selector :system-default) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kb-facets.
 */

okbc_node *okbc_enumerate_kb_facets(const char *kb, const char *selector,
				    int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kb_frames(kb, kb_local_only_p)
 *
 * (&key kb kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kb-frames.
 */

okbc_node *okbc_enumerate_kb_frames(const char *kb, int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kb_individuals(kb, selector, kb_local_only_p)
 *
 * (&key kb (selector :system-default) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kb-individuals.
 */

okbc_node *okbc_enumerate_kb_individuals(const char *kb,
					 const char *selector,
					 int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kb_roots(kb, selector, kb_local_only_p)
 *
 * (&key kb (selector :all) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kb-roots.
 */

okbc_node *okbc_enumerate_kb_roots(const char *kb, const char *selector,
				   int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kb_slots(kb, selector, kb_local_only_p)
 *
 * (&key kb (selector :system-default) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kb-slots.
 */

okbc_node *okbc_enumerate_kb_slots(const char *kb, const char *selector,
				   int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kb_types(connection)
 *
 * (&key (connection (local-connection)))
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kb-types.
 */

okbc_node *okbc_enumerate_kb_types(const char *connection)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kbs(connection)
 *
 * (&key (connection (local-connection)))
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kbs.
 */

okbc_node *okbc_enumerate_kbs(const char *connection)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_kbs_of_type(kb_type, connection)
 *
 * (&key kb-type (connection (local-connection)))
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-kbs-of-type.
 */

okbc_node *okbc_enumerate_kbs_of_type(const char *kb_type,
				      const char *connection)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_list(list)
 *
 * (list)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements of the list.
 */

okbc_node *okbc_enumerate_list(const char *list)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_slot_facets(frame, slot, kb, inference_level, slot_type, kb_local_only_p)
 *
 * (frame slot &key kb (inference-level :taxonomic) (slot-type :own) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-slot-facets.
 */

okbc_node *okbc_enumerate_slot_facets(const char *frame, const char *slot,
				      const char *kb,
				      const char *inference_level,
				      const char *slot_type,
				      int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_slot_values(frame, slot, kb, inference_level, slot_type, number_of_values, value_selector, kb_local_only_p)
 *
 * (frame slot &key kb (inference-level :taxonomic) (slot-type :own) (number-of-values :all) (value-selector :either) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-slot-values.
 */

okbc_node *okbc_enumerate_slot_values(const char *frame, const char *slot,
				      const char *kb,
				      const char *inference_level,
				      const char *slot_type,
				      int number_of_values,
				      const char *value_selector,
				      int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_enumerate_slot_values_in_detail(frame, slot, kb, inference_level, slot_type, number_of_values, value_selector, kb_local_only_p)
 *
 * (frame slot &key kb (inference-level :taxonomic) (slot-type :own) (number-of-values :all) (value-selector :either) kb-local-only-p)
 *
 * Return Value(s): enumerator 
 * 
 * Flags: O R 
 * 
 * Returns an enumerator for the elements returned by 
 get-slot-values-in-detail.
 */

okbc_node *okbc_enumerate_slot_values_in_detail(const char *frame,
						const char *slot,
						const char *kb,
						const char
						*inference_level,
						const char *slot_type,
						int number_of_values,
						const char *value_selector,
						int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}
