/*
 *  Copyright (C) 2002 Steve Harris, ECS, University of Southampton
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  $Id: okbc_find.c,v 1.2 2003/02/20 19:01:16 theno23 Exp $
 */

#include <stdio.h>

#include "rdfsql/rdfsql.h"
#include "okbc_types.h"

/* okbc_find_kb(name_or_kb_or_kb_locator, connection)
 *
 * (name-or-kb-or-kb-locator &key (connection (local-connection)))
 *
 * Return Value(s): kb-or-false 
 * 
 * Flags: O R 
 * 
 * Returns the first KB that can be found matching
 * name-or-kb-or-kb-locator.
 * If the argument is a KB, that KB is returned. If no matching KB can be
 * found, kb-or-false is false.
 */

okbc_node *okbc_find_kb(const char *name_or_kb_or_kb_locator,
			const char *connection)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_find_kb_locator(thing, kb_type, connection)
 *
 * (thing &key kb-type (connection (local-connection)))
 *
 * Return Value(s): kb-locator 
 * 
 * Flags: M R 
 * 
 * Returns the kb-locator associated with thing if such
 * a kb-locator exists for a KB of type kb-type, and false otherwise.
 *
 * Always returns a kb-locator if thing is a KB. Implementations
 * are encouraged to accept other values for thing such as a pathname
 * that identifies the location of the KB to the system. Such usage is
 * convenient, but is not portable. It is not portable for an OKBC application
 * to use anything other than a KB locator, or a KB for this argument.
 */

okbc_node *okbc_find_kb_locator(const char *thing, const char *kb_type,
				const char *connection)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_find_kb_of_type(name_or_kb, kb_type, connection)
 *
 * (name-or-kb &key kb-type (connection (local-connection)))
 *
 * Return Value(s): kb-or-false 
 * 
 * Flags: O R 
 * 
 * If name-or-kb is the name of a KB of type kb-type (or a
 * subtype of kb-type) that is
 * currently known to the system through the connection,
 * find-kb-of-type returns the KB. If no such KB can be found,
 * kb-or-false is false.
 */

okbc_node *okbc_find_kb_of_type(const char *name_or_kb,
				const char *kb_type,
				const char *connection)
{
    okbc_node *ret = NULL;

    return ret;
}
