/*
 *  Copyright (C) 2002 Steve Harris, ECS, University of Southampton
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  $Id: okbc_member.c,v 1.2 2003/02/20 19:01:17 theno23 Exp $
 */

#include <stdio.h>

#include "rdfsql/rdfsql.h"
#include "okbc_types.h"

/* okbc_member_behavior_values_p(behavior, value, kb)
 *
 * (behavior value &key kb)
 *
 * Return Value(s): boolean 
 * 
 * Flags: O R 
 * 
 * Returns true when value is one of the variants of
 * behavior that is currently active for kb, and returns
 * false otherwise.
 */

okbc_node *okbc_member_behavior_values_p(const char *behavior,
					 const char *value, const char *kb)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_member_facet_value_p(frame, slot, facet, value, kb, inference_level, test, slot_type, value_selector, kb_local_only_p)
 *
 * (frame slot facet value &key kb (inference-level :taxonomic) (test :equal) (slot-type :own) (value-selector :either) kb-local-only-p)
 *
 * Return Value(s): boolean exact-p 
 * 
 * Flags: O R 
 * 
 * Returns true iff value is a value in the specified facet
 * of slot on frame, as determined by the predicate 
 * test, and returns false otherwise.
 */

okbc_node *okbc_member_facet_value_p(const char *frame, const char *slot,
				     const char *facet, const char *value,
				     const char *kb,
				     const char *inference_level,
				     const char *test,
				     const char *slot_type,
				     const char *value_selector,
				     int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_member_slot_value_p(frame, slot, value, kb, inference_level, test, slot_type, value_selector, kb_local_only_p)
 *
 * (frame slot value &key kb (inference-level :taxonomic) (test :equal) (slot-type :own) (value-selector :either) kb-local-only-p)
 *
 * Return Value(s): boolean exact-p 
 * 
 * Flags: O R 
 * 
 * Returns true iff value is a value in slot of
 * frame, as determined by the predicate test, and returns
 * false otherwise.
 */

okbc_node *okbc_member_slot_value_p(const char *frame, const char *slot,
				    const char *value, const char *kb,
				    const char *inference_level,
				    const char *test,
				    const char *slot_type,
				    const char *value_selector,
				    int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}
