/*
 *  Copyright (C) 2002 Steve Harris, ECS, University of Southampton
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  $Id: okbc_remove.c,v 1.2 2003/02/20 19:01:18 theno23 Exp $
 */

#include <stdio.h>

#include "rdfsql/rdfsql.h"
#include "okbc_types.h"

/* okbc_remove_class_superclass(class, superclass_to_remove, kb, kb_local_only_p)
 *
 * (class superclass-to-remove &key kb kb-local-only-p)
 *
 * Return Value(s): void 
 * 
 * Flags: O W 
 * 
 * Removes superclass-to-remove from the superclasses of class.
 * Returns no values.
 */

void okbc_remove_class_superclass(const char *class,
				  const char *superclass_to_remove,
				  const char *kb, int kb_local_only_p)
{
}

/* okbc_remove_facet_value(frame, slot, facet, value, kb, test, slot_type, value_selector, kb_local_only_p)
 *
 * (frame slot facet value &key kb (test :equal) (slot-type :own) (value-selector :known-true) kb-local-only-p)
 *
 * Return Value(s): void 
 * 
 * Flags: O W 
 * 
 * If value is currently a member of the set of direct values of
 * the specified facet, then value is removed from the values of
 * the facet. Returns no values.
 */

void okbc_remove_facet_value(const char *frame, const char *slot,
			     const char *facet, const char *value,
			     const char *kb, const char *test,
			     const char *slot_type,
			     const char *value_selector,
			     int kb_local_only_p)
{
}

/* okbc_remove_instance_type(frame, type_to_remove, kb, kb_local_only_p)
 *
 * (frame type-to-remove &key kb kb-local-only-p)
 *
 * Return Value(s): void 
 * 
 * Flags: O W 
 * 
 * Removes type-to-remove from the types of frame - that is,
 * makes frame no longer be an instance of type-to-remove.
 * Returns no values.
 */

void okbc_remove_instance_type(const char *frame,
			       const char *type_to_remove, const char *kb,
			       int kb_local_only_p)
{
}

/* okbc_remove_local_facet_values(frame, slot, facet, kb, slot_type, value_selector, kb_local_only_p)
 *
 * (frame slot facet &key kb (slot-type :own) (value-selector :known-true) kb-local-only-p)
 *
 * Return Value(s): void 
 * 
 * Flags: O W 
 * 
 * Removes all direct values of facet in slot of frame.
 * Returns no values.
 */

void okbc_remove_local_facet_values(const char *frame, const char *slot,
				    const char *facet, const char *kb,
				    const char *slot_type,
				    const char *value_selector,
				    int kb_local_only_p)
{
}

/* okbc_remove_local_slot_values(frame, slot, kb, slot_type, value_selector, kb_local_only_p)
 *
 * (frame slot &key kb (slot-type :own) (value-selector :known-true) kb-local-only-p)
 *
 * Return Value(s): void 
 * 
 * Flags: O W 
 * 
 * Removes all direct values in slot of frame.
 * Returns no values.
 */

void okbc_remove_local_slot_values(const char *frame, const char *slot,
				   const char *kb, const char *slot_type,
				   const char *value_selector,
				   int kb_local_only_p)
{
}

/* okbc_remove_slot_value(frame, slot, value, kb, test, slot_type, index, value_selector, kb_local_only_p)
 *
 * (frame slot value &key kb (test :equal) (slot-type :own) (index :all) (value-selector :known-true) kb-local-only-p)
 *
 * Return Value(s): void 
 * 
 * Flags: O W 
 * 
 * If value is currently a member of the set of direct values of
 * slot, then value is removed from the values of
 * slot. Only values matching the test are removed.
 * If index is :all, then all occurrences of
 * value will be removed. Otherwise, index should be
 * an integer index into the values list, and only the value at that
 * position, if it matches value, will be removed (the first
 * value of the slot has index 0). The index argument is used only by slots
 * whose :collection-type is :list. Returns no values.
 */

void okbc_remove_slot_value(const char *frame, const char *slot,
			    const char *value, const char *kb,
			    const char *test, const char *slot_type,
			    const char *index, const char *value_selector,
			    int kb_local_only_p)
{
}
