/*
 *  Copyright (C) 2002 Steve Harris, ECS, University of Southampton
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  $Id: okbc_slot.c,v 1.2 2003/02/20 19:01:18 theno23 Exp $
 */

#include <stdio.h>

#include "rdfsql/rdfsql.h"
#include "okbc_types.h"

/* okbc_slot_has_facet_p(frame, slot, facet, kb, inference_level, slot_type, kb_local_only_p)
 *
 * (frame slot facet &key kb (inference-level :taxonomic) (slot-type :own) kb-local-only-p)
 *
 * Return Value(s): boolean 
 * 
 * Flags: O R 
 * 
 * Returns true iff facet is a valid facet for slot on
 * frame, and false otherwise. What constitutes a valid facet is
 * KB-specific, but a facet with a value locally asserted, or with a value
 * that is accessible from a template slot will return true for this
 * operation.
 */

okbc_node *okbc_slot_has_facet_p(const char *frame, const char *slot,
				 const char *facet, const char *kb,
				 const char *inference_level,
				 const char *slot_type,
				 int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_slot_has_value_p(frame, slot, kb, inference_level, slot_type, value_selector, kb_local_only_p)
 *
 * (frame slot &key kb (inference-level :taxonomic) (slot-type :own) (value-selector :either) kb-local-only-p)
 *
 * Return Value(s): boolean exact-p 
 * 
 * Flags: O R 
 * 
 * Returns true iff slot on frame has at least one
 * value, otherwise returns false.
 */

okbc_node *okbc_slot_has_value_p(const char *frame, const char *slot,
				 const char *kb,
				 const char *inference_level,
				 const char *slot_type,
				 const char *value_selector,
				 int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}

/* okbc_slot_p(thing, kb, kb_local_only_p)
 *
 * (thing &key kb kb-local-only-p)
 *
 * Return Value(s): boolean 
 * 
 * Flags: O R 
 * 
 * Returns true iff thing is a slot, and
 * otherwise returns false.
 */

okbc_node *okbc_slot_p(const char *thing, const char *kb,
		       int kb_local_only_p)
{
    okbc_node *ret = NULL;

    return ret;
}
