/*
 *  Copyright (C) 2002 Steve Harris, ECS, University of Southampton
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  $Id: okbc_types.h,v 1.1.1.1 2002/10/31 18:44:01 theno23 Exp $
 */

#ifndef OKBC_TYPES_H
#define OKBC_TYPES_H

#define OKBC_LIST    0
#define OKBC_URI     1
#define OKBC_LITERAL 2
#define OKBC_BOOL    3
#define OKBC_INT     4
#define OKBC_SYMBOL  5

#define ATOM(i) ((void *)i)

typedef struct okbc_list_t okbc_list;
typedef struct okbc_node_t okbc_node;

struct okbc_list_t {
	unsigned int  length;
	okbc_node   **items;
};

struct okbc_node_t {
	unsigned int type;
	union {
		okbc_list *list;
		void      *atom;
	} data;
};

#endif
