#include <stdio.h>
#include <stdlib.h>
#include <getopt.h>

#include "rdfsql/rdfsql.h"
#include "config.h"
#include "rst_parser.h"

static const char *rst_user = RS_DB_USER;
static const char *rst_pw = RS_DB_PASSWORD;
static const char *rst_db = RS_DB_DATABASE;
static const char *rst_host = "localhost";

void rst_set_db(const char *db)
{
	rst_db = db;
}

const char *rst_get_user()
{
	return rst_user;
}

const char *rst_get_pw()
{
	return rst_pw;
}

const char *rst_get_db()
{
	return rst_db;
}

const char *rst_get_host()
{
	return rst_host;
}

int rst_handle_option(int opt, const char *arg)
{
	switch (opt) {
		case 'u':
			rst_user = arg;
			return 1;
		case 'p':
			rst_pw = arg;
			return 1;
		case 'd':
			rst_db = arg;
			return 1;
		case 'r':
			rst_host = arg;
			return 1;
		default:
			return 0;
	}

	return 0;
}

RDFSQL *rst_connect(const char *model)
{
	RDFSQL *ret = rst_try_connect(model);

	if (!ret) {
		fprintf(stderr, "Failed to connect to knowledgebase\n");
		exit(1);
	}

	return ret;
}

RDFSQL *rst_try_connect(const char *model)
{
	return rs_connect_remote(rst_host, rst_db, rst_user, rst_pw, model);
}
