/*
 *  Copyright (C) 2002 Steve Harris, ECS, University of Southampton
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  $Id: tstore_optimize.c,v 1.2 2003/07/11 16:06:32 theno23 Exp $
 */

#include <stdio.h>
#include <mysql.h>
#include <getopt.h>

#include "rdfsql/rdfsql.h"
#include "rst_parser.h"

int main(int argc, char *argv[])
{
    RDFSQL *db;
    char *optstring = RST_OPTSTR "v";
    int help = 0;
    int verbosity = 0;
    int c, opt_index = 0;
    static struct option long_options[] = {
        RST_LONGOPTS,
        { "verbose", 0, 0, 'v' },
        { 0, 0, 0, 0 }
    };

    while ((c = getopt_long (argc, argv, optstring, long_options, &opt_index)) != -1) {
        if (!rst_handle_option(c, optarg)) {
            if (c == 'v') {
                verbosity++;
            } else {
                help++;
            }
        }
    }

    if (help) {
        printf("Usage: %s "RST_OPTIONS" [-v]\n", argv[0]);
        printf(RST_HELP);
        printf("   -v, --verbose   increase verbosity\n");
        printf("This command is used to optimise the SQL caches that inform that table joins.\nIt can be quite slow, but we recommend that it's run about once every 24 hours.\n");
        return 1;
    }

    db = rst_connect(NULL);

    rs_optimize_tables(db, verbosity);

    return 0;
}

/* vi:set ts=8 sts=4 sw=4: */
